RepositoryManifestIterable
Date: 2013-01-10

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ivy.osgi.repo
Class RepositoryManifestIterable

    java.lang.Object
      org.apache.ivy.osgi.repo.AbstractFSManifestIterable
          org.apache.ivy.osgi.repo.RepositoryManifestIterable

    public class RepositoryManifestIterable

extends AbstractFSManifestIterable

Constructor Summary
`RepositoryManifestIterable(Repository repo)` Default constructor

Method Summary
`protected java.net.URI` | `buildBundleURI(java.lang.Object location)`
`protected java.io.InputStream` | `getInputStream(java.lang.Object f)`
`protected java.util.List` | `listBundleFiles(java.lang.Object dir)`
`protected java.util.List` | `listDirs(java.lang.Object dir)`

Methods inherited from class org.apache.ivy.osgi.repo.AbstractFSManifestIterable
`iterator`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RepositoryManifestIterable

    public RepositoryManifestIterable(Repository repo)

  Default constructor

  Parameters:
    `root` - the root directory of the file system to lookup

Method Detail

### buildBundleURI

    protected java.net.URI buildBundleURI(java.lang.Object location)
                                   throws java.io.IOException

  Specified by:
    `buildBundleURI` in class `AbstractFSManifestIterable`
  Throws:
    `java.io.IOException`

### getInputStream

    protected java.io.InputStream getInputStream(java.lang.Object f)
                                          throws java.io.IOException

  Specified by:
    `getInputStream` in class `AbstractFSManifestIterable`
  Throws:
    `java.io.IOException`

### listBundleFiles

    protected java.util.List listBundleFiles(java.lang.Object dir)
                                      throws java.io.IOException

  Specified by:
    `listBundleFiles` in class `AbstractFSManifestIterable`
  Throws:
    `java.io.IOException`

### listDirs

    protected java.util.List listDirs(java.lang.Object dir)
                               throws java.io.IOException

  Specified by:
    `listDirs` in class `AbstractFSManifestIterable`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD